///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Copyright  NetworkDLS 2010, All rights reserved
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF 
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
// PARTICULAR PURPOSE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef _NSWFL_SYSTEM_H_
#define _NSWFL_SYSTEM_H_
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
namespace NSWFL{
namespace System{
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void SetApplicationPriority(HANDLE hProcess, HANDLE hThread,
							int iPriorityClass, short iThreadPriority,
							bool bProcessBoost, bool bThreadBoost);

bool Get_MachineName(char *sOutVal, int iMaxSz);
bool Get_UserName(char *sOutVal, int iMaxSz);
bool Get_OsVersion(char *sOutVal, int iMaxSz);
bool IsWinNT(void);
bool ResetWindowsSys(unsigned int iFlags);
void Hang(void);
bool CreateGenericSecurityDescriptor(SECURITY_DESCRIPTOR *pSD, SECURITY_ATTRIBUTES *pSA);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
} //namespace::System
} //namespace::NSWFL
#endif
