///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Copyright  NetworkDLS 2010, All rights reserved
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF 
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
// PARTICULAR PURPOSE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef _NSWFL_KEYGENERATIION_H_
#define _NSWFL_KEYGENERATIION_H_
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
namespace NSWFL{
namespace KeyGeneration{
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define GKNUMBERS       0x1
#define GKUPPER_AZ      0x2
#define GKLOWER_AZ      0x4
#define GKBROADKEY      0x8
#define GKNONREPETITION 0x16

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

unsigned long GenerateSeed(void);
bool GenerateKey(int iNewKeyLen, unsigned long lSeed, int iAttribs, char *sOutKey);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
} //namespace::KeyGeneration
} //namespace::NSWFL
#endif
