///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Copyright  NetworkDLS 2010, All rights reserved
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF 
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
// PARTICULAR PURPOSE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef _NSWFL_MEMORY_H_
#define _NSWFL_MEMORY_H_
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
namespace NSWFL{
namespace Memory{
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void *ClearMem(void *vBuffer, int iBufSz);
void *MemCopy(void *vTarget, void *vSource, int iLen);
int MemCopyLong(char *sOutBuf, long lIn);
int MemCopyInt(char *sOutBuf, int iIn);
void NukeMem(char *sBuf);
void NukeMem(void *pBuf, size_t iBufSz);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
} //namespace::Memory
} //namespace::NSWFL
#endif
